HedgeDocs Role
=========

Un rôle pour installer le servide de Pad HedgeDocs

Requirements
------------

Voir : https://github.com/hedgedoc/hedgedoc/blob/master/docs/setup/manual-setup.md


- Node.js 10.13 or up
- Database (PostgreSQL, MySQL, MariaDB, SQLite, MSSQL) The database must use charset utf8. This is typically the default in PostgreSQL and SQLite. In MySQL and MariaDB UTF-8 might need to be set with alter database <DBNAME> character set utf8 collate utf8_bin; Be aware of older MySQL and MariaDB versions which sometimes use shorter representations of UTF-8 than 4 bytes. This can break if symbols with more bytes are used. You can use alter database <DBNAME> character set utf8mb4 COLLATE utf8mb4_unicode_ci to be on the safe side.
- NPM (and its dependencies, node-gyp)
- Yarn
- Bash (for the setup script)
- For building the HedgeDoc frontend you need a machine with at least 2 GB RAM. Starting with release 1.7 the release tarball includes the frontend, so building it yourself is not necessary.


Role Variables
--------------

Voir les variables dans `vars/main.yml`

Dependencies
------------

Nécessite le module https://docs.ansible.com/ansible/latest/collections/community/postgresql

Example Playbook
----------------


    - hosts: hedgedocs-server
      roles:
         - { role: hedgedocs-pad-lqdn,
             hedgedoc-version: "1.7.0-rc2",
             hedgedoc-sql-password : "default password ITtHlXfTEBwcCypWPX07",
             service_hedgedocs_domain : "https://pad.test.lqdn.fr"
         }

License
-------

BSD

Author Information
------------------

Utilisation chez LQDN ( lqdn.fr )
